Update a skill from a ZIP archive
curl --request POST \
--url https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"ok": true,
"item": {
"id": "<string>",
"externalKey": "<string>",
"organizationId": "<string>",
"objectType": "skill",
"sourceMode": "cloud",
"title": "<string>",
"description": "<string>",
"searchText": "<string>",
"currentFileName": "<string>",
"currentFileExtension": "<string>",
"currentRelativePath": "<string>",
"status": "active",
"createdByOrgMembershipId": "<string>",
"connectorInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"latestVersion": {
"id": "<string>",
"configObjectId": "<string>",
"schemaVersion": "<string>",
"normalizedPayloadJson": {},
"rawSourceText": "<string>",
"createdVia": "cloud",
"createdByOrgMembershipId": "<string>",
"connectorSyncEventId": "<string>",
"sourceRevisionRef": "<string>",
"isDeletedVersion": true,
"createdAt": "2023-11-07T05:31:56Z"
}
}
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}Config Objects
Update a skill from a ZIP archive
Publishes a new immutable version of an existing skill from a .zip in the layout Anthropic’s Agent Skills use: SKILL.md at the root, or in one folder named after the skill. Send multipart form data with the archive in file. The archive’s supporting files replace the skill’s current ones. Up to 40 MB per archive, 500 files, 10 MB per file and 30 MB of supporting files.
POST
/
v1
/
config-objects
/
{configObjectId}
/
skill-zip
Update a skill from a ZIP archive
curl --request POST \
--url https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/config-objects/{configObjectId}/skill-zip")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"ok": true,
"item": {
"id": "<string>",
"externalKey": "<string>",
"organizationId": "<string>",
"objectType": "skill",
"sourceMode": "cloud",
"title": "<string>",
"description": "<string>",
"searchText": "<string>",
"currentFileName": "<string>",
"currentFileExtension": "<string>",
"currentRelativePath": "<string>",
"status": "active",
"createdByOrgMembershipId": "<string>",
"connectorInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"latestVersion": {
"id": "<string>",
"configObjectId": "<string>",
"schemaVersion": "<string>",
"normalizedPayloadJson": {},
"rawSourceText": "<string>",
"createdVia": "cloud",
"createdByOrgMembershipId": "<string>",
"connectorSyncEventId": "<string>",
"sourceRevisionRef": "<string>",
"isDeletedVersion": true,
"createdAt": "2023-11-07T05:31:56Z"
}
}
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}Authorizations
denApiKeybearerAuth
Path Parameters
Was this page helpful?